/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gnome.h>


/****************************************************
 *
 *	Load up allowed mime types and program to convert them
 *	from gefaxmime.conf file
 *
 ****************************************************/
void read_mime_file(void);

/****************************************************
 *
 *	Test if the mimie type passed is allowed
 *
 ****************************************************/
int find_mime(gchar *name);

/****************************************************
 *
 *	Returns the program needed to convert file
 *
 ****************************************************/
gchar *find_command(gchar *name);

/****************************************************
 *
 *	Free the list on program exit
 *
 ****************************************************/
void free_allowed_mime(void);

/*end*/





