/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

/****************************************************
 *
 *	Create App Bar on startup
 *
 ****************************************************/
void create_appbar(void);

/****************************************************
 *
 *	Sets status message msg
 *
 ****************************************************/
void static_status_msg(gchar *msg);

/****************************************************
 *
 *	Runs the cool status message (http://www........)
 *
 ****************************************************/
void cool_status_msg(void);

/****************************************************
 *
 *	Gives the progress bar some fancy motion
 *
 ****************************************************/
void start_progress_motion(gint speed, gboolean mode);
									
/****************************************************
 *
 *	Stops progress motion and resets mode etc
 *
 ****************************************************/
void reset_progress(void);

/****************************************************
 *
 *	Change cursor while making files for preview
 *
 ****************************************************/
void set_action_cursor(void);
void reset_cursor(void);

/*end*/





