/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/****************************************************
 *
 *	Executed on startup. starts child signal handler and auto receive
 *
 ****************************************************/
void on_startup_execute(GtkWidget *gefax);

/****************************************************
 *
 *	Signal handlers for main toolbar and menu
 *	Browser specific callbacks are now in browser.h
 *
 ****************************************************/
void on_mnu_about_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_btn_send_fax_clicked(GtkButton *button, gpointer user_data);
void on_btn_receive_fax_clicked(GtkButton *button, gpointer user_data);
void on_btn_poll_fax_clicked(GtkButton *button, gpointer user_data);
void on_btn_options_clicked(GtkButton *button, gpointer user_data);
void on_btn_help_clicked(GtkButton *button, gpointer user_data);
void on_btn_exit_clicked(GtkButton *button, gpointer user_data);
void on_btn_view_clicked(GtkButton *button, gpointer user_data);
void on_btn_open_clicked (GtkButton *button, gpointer user_data);
void change_to_browser(GtkWidget *w, gpointer data);
void change_to_history(GtkWidget *w, gpointer data);
void change_to_contacts(GtkWidget *w, gpointer data);
void change_to_viewer(GtkWidget *w, gpointer data);



/*end*/





