/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/*******************************************************************
 *
 *	This is the start of sending a fax or preview
 *	first create Tiffg3 files then,
 *	send the fax/s - pass TRUE action for preview
 *
 *******************************************************************/
void send_fax(gint action);

/*******************************************************************
 *
 *	Sets up a signal trap so we get info on their status.
 *	Also stops creating of zombies
 *
 *******************************************************************/
gint setup_sig_handler(void);

/*******************************************************************
 *
 *	Polls fax -- fax_no is freed
 *
 *******************************************************************/
void poll_fax(gchar *fax_no);

/*******************************************************************
 *
 *	Receive Fax - called from dialog_ret
 *
 *******************************************************************/
void receive_fax(gint pick_up, gchar *rings,	int lck);

/*******************************************************************
 *
 *	Kill Fax Send,Receive,Poll
 *
 *******************************************************************/
void kill_fax_operation(GtkButton	*button, gpointer data);

/*******************************************************************
 *
 *	Removes files from temp dir
 *
 *******************************************************************/
void delete_temp_files(void);

/*******************************************************************
 *
 *	returns the value of cont_ex
 *
 *******************************************************************/
gint efax_status(void);






