%define	name	gefax
%define	version	0.4
%define	release	3
%define	prefix	/usr
%define efaxversion efax-0.9a-001114

Vendor: Daryl <daryl.g@visto.com>

Summary: Gnome Fax Application.
Summary(es): Aplicacin de Fax para GNOME
Summary(es_ES): Aplicacin de Fax para GNOME
Summary(es_MX): Aplicacin de Fax para GNOME

Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright: 	GPL
URL:		http://www.angelfire.com/linux/sfax/index.html
Group: 		Applications/Communications
Requires:	libGefax >= 0.1-1 ghostscript gtk+ >= 1.2.8-0
Obsoletes:	sfax gefax
Source:		%{name}-%{version}-%{release}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}

%description
Gnome front end for Efax (Copyright 1996 Ed Casas)

Gefax allows you to fax multiple files (text, postscript and pdf) to one or more fax stations and receive faximilies. Polling is possible with some modems and Efax versions.
Gefax also provides a "rubbish bin" for managing files.
Gefax does not use a "fax spool" and can be quickly setup.
The efax and efix executables are included in this package for security reasons.
They will be installed in /usr/share/gefax/efax.
The efax executable will be Set UID to allow users of your system to use gefax.
Please send all bug reports to daryl.g@viso.com

%description -l es
Frente para Efax (Copyright 1996 Ed Casas) para GNOME.

gefax permite enviar por fax mltiples ficheros (testo, postsript y pdf) a uno
o varias estaciones de fax. Posee una interfaz que permite manipular ficheros. No utiliza un spool o cola de salida y puede configurarse rpidamente. Sin embargo, se requerir que el usuario tenga permisos de acceso al modem en el sistema o cambiar el permiso de efax a 4755. Si desea recibier el cdigo fuente. por favor envieme e-mail y le enviar el ms reciente archivo de fuentes.

%description -l es_ES
Frente para Efax (Copyright 1996 Ed Casas) para GNOME.

gefax permite enviar por fax mltiples ficheros (testo, postsript y pdf) a uno
o varias estaciones de fax. Posee una interfaz que permite manipular ficheros. No utiliza un spool o cola de salida y puede configurarse rpidamente. Sin embargo, se requerir que el usuario tenga permisos de acceso al modem en el sistema o cambiar el permiso de efax a 4755. Si desea recibier el cdigo fuente. por favor envieme e-mail y le enviar el ms reciente archivo de fuentes.

%description -l es_MX
Frente para Efax (Copyright 1996 Ed Casas) para GNOME.

gefax permite enviar por fax mltiples ficheros (testo, postsript y pdf) a uno
o varias estaciones de fax. Posee una interfaz que permite manipular ficheros. No utiliza un spool o cola de salida y puede configurarse rpidamente. Sin embargo, se requerir que el usuario tenga permisos de acceso al modem en el sistema o cambiar el permiso de efax a 4755. Si desea recibier el cdigo fuente. por favor envieme e-mail y le enviar el ms reciente archivo de fuentes.

%prep
%setup

%build
%configure --prefix=%{prefix} --with-included-gettext
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gefax/
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gefax/C/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/%{name}/font/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/%{name}/efax/
make DESTDIR=$RPM_BUILD_ROOT install
cp %{prefix}/src/redhat/BUILD/%{name}-%{version}/gefax.desktop \
	$RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/gefax.desktop
cp %{prefix}/src/redhat/BUILD/%{name}-%{version}/gefaxmime.conf \
	$RPM_BUILD_ROOT%{prefix}/share/%{name}/gefaxmime.conf
cp -R %{prefix}/src/redhat/BUILD/%{name}-%{version}/help/C/* \
	$RPM_BUILD_ROOT%{prefix}/share/gnome/help/gefax/C/
cp %{prefix}/src/redhat/BUILD/%{name}-%{version}/font/text.font \
	$RPM_BUILD_ROOT%{prefix}/share/%{name}/font/text.font
cp %{prefix}/src/redhat/BUILD/%{name}-%{version}/%{efaxversion}/ef?x \
	$RPM_BUILD_ROOT%{prefix}/share/%{name}/efax/



%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%doc README README.efax COPYING AUTHORS INSTALL ABOUT-NLS ChangeLog

%{prefix}/bin/gefax
%{prefix}/share/gnome/apps/Applications/gefax.desktop
%{prefix}/share/%{name}/gefaxmime.conf
%{prefix}/share/%{name}/font/text.font
%{prefix}/share/pixmaps/%{name}/*
%{prefix}/share/gnome/help/%{name}/C/*
%{prefix}/share/%{name}/efax/*

%post
chmod 4755 %{prefix}/share/%{name}/efax/efax

%changelog
* Mon Feb 12 2001 Daryl Gray <daryl.g@visto.com>
- Application now called Gefax
- Added Requires and Obsoletes. The Requires may be too harsh?
- General tidy up.

* Mon Oct 30 2000 Daryl Gray <daryl.g@visto.com>
- Added more help files
- Changed to release 4
- Removed ./autogen.sh from %build. Configure was running twice.
- Removed NEWS and added ChangLog
- Removed NOTE warning from info

* Mon Oct 02 2000 Daryl Gray <daryl.g@visto.com>
- Added help files

* Sat Sep 30 2000 Joel barrios <jbarrios@jjnet.prohosting.com>
- Added spanish translations to spec file.
- Tuned up spec file to make it build clean the binary rpm.

* Sat Sep 29 2000 Daryl Gray <daryl.g@visto.com>
- first atempt for rpm